<?php

function register_my_menus() { // Use Custom Menus, one for each new Project
  register_nav_menus(
    array(
		'river-terrace' => __( 'River Terrace'),
		'tigard-triangle' => __( 'Tigard Triangle')
	 )
  );
}

add_action( 'init', 'register_my_menus' );

// Icons used in menus require font awesome

function wmpudev_enqueue_icon_stylesheet() {
	wp_register_style( 'fontawesome', 'http:////maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css' );
	wp_enqueue_style( 'fontawesome');
}
add_action( 'wp_enqueue_scripts', 'wmpudev_enqueue_icon_stylesheet' );

// Short code to place the project menus

function project_func( $atts ) {
	$name = $atts[name]; // river-terrace, tigard-triangle
	
	return wp_nav_menu( array( 'menu' => $name ) ); // Display this menu
}

add_shortcode( 'project_menu', 'project_func' );


function tigard_widgets_init() {  // Sidebars
	register_sidebar(array(
		'name'=>'Blog Sidebar - River Terrace',
		'id' => 'blog-river-terrace',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

	register_sidebar(array(
		'name'=>'Footer 1 - River Terrace',
		'id' => 'footer1-river-terrace',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name'=>'Footer 2 - River Terrace',
		'id' => 'footer2-river-terrace',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));
	register_sidebar(array(
		'name'=>'Footer 3 - River Terrace',
		'id' => 'footer3-river-terrace',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

	register_sidebar(array(
		'name'=>'Footer 4 - River Terrace',
		'id' => 'footer4-river-terrace',
		'before_widget' => '',
		'after_widget' => '',
		'before_title' => '<h3>',
		'after_title' => '</h3>',
	));

}
add_action( 'widgets_init', 'tigard_widgets_init' );

function tigard_scripts() {
    wp_enqueue_script( 'jquery' );
}
add_action( 'wp_enqueue_scripts', 'tigard_scripts' );


add_theme_support('post-thumbnails'); // Featured Image
?>